org.icefaces.ace.component.chart

## Class ChartBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.chart.ChartBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IChart
  Direct Known Subclasses:
    Chart

      public abstract class ChartBase
      extends javax.faces.component.UIComponentBase
      implements IChart, IceClientBehaviorHolder

  Render a HTML <canvas&rt; data visualization using a Java interface to the jqPlot charting API. A List of ChartSeries subclasses define the data and its representation in the visualization.

  For more information, see the Chart Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ChartBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `Axis` | `getDefaultAxesConfig()` Return the value of the `defaultAxesConfig` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String[]` | `getDefaultSeriesColors()` Return the value of the `defaultSeriesColors` property.
    `ChartSeries` | `getDefaultSeriesConfig()` Return the value of the `defaultSeriesConfig` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.Integer` | `getHeight()` Return the value of the `height` property.
    `HighlighterTooltipAxes` | `getHighlighterAxes()` Return the value of the `highlighterAxes` property.
    `java.lang.String` | `getHighlighterFormatString()` Return the value of the `highlighterFormatString` property.
    `Location` | `getHighlighterLocation()` Return the value of the `highlighterLocation` property.
    `java.lang.Integer` | `getHighlighterYValueCount()` Return the value of the `highlighterYValueCount` property.
    `javax.el.MethodExpression` | `getImageExportListener()` Return the value of the `imageExportListener` property.
    `Location` | `getLegendLocation()` Return the value of the `legendLocation` property.
    `LegendPlacement` | `getLegendPlacement()` Return the value of the `legendPlacement` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `javax.el.MethodExpression` | `getPointChangeListener()` Return the value of the `pointChangeListener` property.
    `javax.el.MethodExpression` | `getSelectListener()` Return the value of the `selectListener` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `java.lang.Object` | `getValue()` Return the value of the `value` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `java.lang.Integer` | `getWidth()` Return the value of the `width` property.
    `Axis` | `getX2Axis()` Return the value of the `x2Axis` property.
    `Axis` | `getXAxis()` Return the value of the `xAxis` property.
    `Axis[]` | `getYAxes()` Return the value of the `yAxes` property.
    `java.lang.Boolean` | `isAnimated()` Return the value of the `animated` property.
    `java.lang.Boolean` | `isCursor()` Return the value of the `cursor` property.
    `java.lang.Boolean` | `isHiddenInitPolling()` Return the value of the `hiddenInitPolling` property.
    `java.lang.Boolean` | `isHighlighter()` Return the value of the `highlighter` property.
    `java.lang.Boolean` | `isHighlighterBringSeriesToFront()` Return the value of the `highlighterBringSeriesToFront` property.
    `java.lang.Boolean` | `isHighlighterShowMarker()` Return the value of the `highlighterShowMarker` property.
    `java.lang.Boolean` | `isLegend()` Return the value of the `legend` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `java.lang.Boolean` | `isShowTooltip()` Return the value of the `showTooltip` property.
    `java.lang.Boolean` | `isStackSeries()` Return the value of the `stackSeries` property.
    `java.lang.Boolean` | `isZoom()` Return the value of the `zoom` property.
    `void` | `setAnimated(java.lang.Boolean animated)` Set the value of the `animated` property.
    `void` | `setCursor(java.lang.Boolean cursor)` Set the value of the `cursor` property.
    `void` | `setDefaultAxesConfig(Axis defaultAxesConfig)` Set the value of the `defaultAxesConfig` property.
    `void` | `setDefaultSeriesColors(java.lang.String[] defaultSeriesColors)` Set the value of the `defaultSeriesColors` property.
    `void` | `setDefaultSeriesConfig(ChartSeries defaultSeriesConfig)` Set the value of the `defaultSeriesConfig` property.
    `void` | `setHeight(java.lang.Integer height)` Set the value of the `height` property.
    `void` | `setHiddenInitPolling(java.lang.Boolean hiddenInitPolling)` Set the value of the `hiddenInitPolling` property.
    `void` | `setHighlighter(java.lang.Boolean highlighter)` Set the value of the `highlighter` property.
    `void` | `setHighlighterAxes(HighlighterTooltipAxes highlighterAxes)` Set the value of the `highlighterAxes` property.
    `void` | `setHighlighterBringSeriesToFront(java.lang.Boolean highlighterBringSeriesToFront)` Set the value of the `highlighterBringSeriesToFront` property.
    `void` | `setHighlighterFormatString(java.lang.String highlighterFormatString)` Set the value of the `highlighterFormatString` property.
    `void` | `setHighlighterLocation(Location highlighterLocation)` Set the value of the `highlighterLocation` property.
    `void` | `setHighlighterShowMarker(java.lang.Boolean highlighterShowMarker)` Set the value of the `highlighterShowMarker` property.
    `void` | `setHighlighterYValueCount(java.lang.Integer highlighterYValueCount)` Set the value of the `highlighterYValueCount` property.
    `void` | `setImageExportListener(javax.el.MethodExpression imageExportListener)` Set the value of the `imageExportListener` property.
    `void` | `setLegend(java.lang.Boolean legend)` Set the value of the `legend` property.
    `void` | `setLegendLocation(Location legendLocation)` Set the value of the `legendLocation` property.
    `void` | `setLegendPlacement(LegendPlacement legendPlacement)` Set the value of the `legendPlacement` property.
    `void` | `setPointChangeListener(javax.el.MethodExpression pointChangeListener)` Set the value of the `pointChangeListener` property.
    `void` | `setSelectListener(javax.el.MethodExpression selectListener)` Set the value of the `selectListener` property.
    `void` | `setShowTooltip(java.lang.Boolean showTooltip)` Set the value of the `showTooltip` property.
    `void` | `setStackSeries(java.lang.Boolean stackSeries)` Set the value of the `stackSeries` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValue(java.lang.Object value)` Set the value of the `value` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.
    `void` | `setWidth(java.lang.Integer width)` Set the value of the `width` property.
    `void` | `setX2Axis(Axis x2Axis)` Set the value of the `x2Axis` property.
    `void` | `setXAxis(Axis xAxis)` Set the value of the `xAxis` property.
    `void` | `setYAxes(Axis[] yAxes)` Set the value of the `yAxes` property.
    `void` | `setZoom(java.lang.Boolean zoom)` Set the value of the `zoom` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChartBase

          public ChartBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAnimated

          public void setAnimated(java.lang.Boolean animated)

      Set the value of the `animated` property.

      Contents: Enables the draw animation behaviour of the chart. By default is enabled for all browsers but IE8 and lower for performanceconcerns.

      Specified by:
        `setAnimated` in interface `IChart`

    - #### isAnimated

          public java.lang.Boolean isAnimated()

      Return the value of the `animated` property.

      Contents: Enables the draw animation behaviour of the chart. By default is enabled for all browsers but IE8 and lower for performanceconcerns.

      Specified by:
        `isAnimated` in interface `IChart`

    - #### setCursor

          public void setCursor(java.lang.Boolean cursor)

      Set the value of the `cursor` property.

      Contents: Enable a crosshair cursor on the chart.

      Specified by:
        `setCursor` in interface `IChart`

    - #### isCursor

          public java.lang.Boolean isCursor()

      Return the value of the `cursor` property.

      Contents: Enable a crosshair cursor on the chart.

      Specified by:
        `isCursor` in interface `IChart`

    - #### setDefaultAxesConfig

          public void setDefaultAxesConfig(Axis defaultAxesConfig)

      Set the value of the `defaultAxesConfig` property.

      Contents: Define a Axis whose configuration is used where other axes have not made an explicit configuration.

      Specified by:
        `setDefaultAxesConfig` in interface `IChart`

    - #### getDefaultAxesConfig

          public Axis getDefaultAxesConfig()

      Return the value of the `defaultAxesConfig` property.

      Contents: Define a Axis whose configuration is used where other axes have not made an explicit configuration.

      Specified by:
        `getDefaultAxesConfig` in interface `IChart`

    - #### setDefaultSeriesColors

          public void setDefaultSeriesColors(java.lang.String[] defaultSeriesColors)

      Set the value of the `defaultSeriesColors` property.

      Contents: Allows users to specify default color series for all graphs, rather than by specifying per chart. See 'seriesColors' attribute in CartesianSeries to override the colors used per chart. If there are more series than colors, colors will wrap around and start at the beginning again. If empty will use default colors from jqPlot.

      Specified by:
        `setDefaultSeriesColors` in interface `IChart`

    - #### getDefaultSeriesColors

          public java.lang.String[] getDefaultSeriesColors()

      Return the value of the `defaultSeriesColors` property.

      Contents: Allows users to specify default color series for all graphs, rather than by specifying per chart. See 'seriesColors' attribute in CartesianSeries to override the colors used per chart. If there are more series than colors, colors will wrap around and start at the beginning again. If empty will use default colors from jqPlot.

      Specified by:
        `getDefaultSeriesColors` in interface `IChart`

    - #### setDefaultSeriesConfig

          public void setDefaultSeriesConfig(ChartSeries defaultSeriesConfig)

      Set the value of the `defaultSeriesConfig` property.

      Contents: Define a ChartSeries whose configuration is used where other ChartSeries have not made an explicit configuration. The data of this ChartSeries is irrelevant. If defined, this ChartSeries should explicitly have the typefield set, this will be used as the default type for all series which have not explicitly defined a type. If undefined the default type is determined by theChartSeries.getDefaultType() of the first attached series.

      Specified by:
        `setDefaultSeriesConfig` in interface `IChart`

    - #### getDefaultSeriesConfig

          public ChartSeries getDefaultSeriesConfig()

      Return the value of the `defaultSeriesConfig` property.

      Contents: Define a ChartSeries whose configuration is used where other ChartSeries have not made an explicit configuration. The data of this ChartSeries is irrelevant. If defined, this ChartSeries should explicitly have the typefield set, this will be used as the default type for all series which have not explicitly defined a type. If undefined the default type is determined by theChartSeries.getDefaultType() of the first attached series.

      Specified by:
        `getDefaultSeriesConfig` in interface `IChart`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      Set the value of the `height` property.

      Contents: Define the height of the entire chart region in pixels.

      Specified by:
        `setHeight` in interface `IChart`

    - #### getHeight

          public java.lang.Integer getHeight()

      Return the value of the `height` property.

      Contents: Define the height of the entire chart region in pixels.

      Specified by:
        `getHeight` in interface `IChart`

    - #### setHiddenInitPolling

          public void setHiddenInitPolling(java.lang.Boolean hiddenInitPolling)

      Set the value of the `hiddenInitPolling` property.

      Contents: Enable the default handling of the chart when rendered into a hidden page region. Thechart polls its hidden status, looking for when it is shown, and then completes its initialization.This can be expensive in environments of reduced JavaScript performance with many charts and a complex DOM.When this is disabled, upon revealing a chart, to ensure it is correctly displayed, 'chartWidgetvar.replot()' must be called.

      Specified by:
        `setHiddenInitPolling` in interface `IChart`

    - #### isHiddenInitPolling

          public java.lang.Boolean isHiddenInitPolling()

      Return the value of the `hiddenInitPolling` property.

      Contents: Enable the default handling of the chart when rendered into a hidden page region. Thechart polls its hidden status, looking for when it is shown, and then completes its initialization.This can be expensive in environments of reduced JavaScript performance with many charts and a complex DOM.When this is disabled, upon revealing a chart, to ensure it is correctly displayed, 'chartWidgetvar.replot()' must be called. Default = 'true'.

      Specified by:
        `isHiddenInitPolling` in interface `IChart`

    - #### setHighlighter

          public void setHighlighter(java.lang.Boolean highlighter)

      Set the value of the `highlighter` property.

      Contents: Enables drawing an info string at the cursor position when hovering at data points. Default configuration displays x, y values.

      Specified by:
        `setHighlighter` in interface `IChart`

    - #### isHighlighter

          public java.lang.Boolean isHighlighter()

      Return the value of the `highlighter` property.

      Contents: Enables drawing an info string at the cursor position when hovering at data points. Default configuration displays x, y values.

      Specified by:
        `isHighlighter` in interface `IChart`

    - #### setHighlighterAxes

          public void setHighlighterAxes(HighlighterTooltipAxes highlighterAxes)

      Set the value of the `highlighterAxes` property.

      Contents: Defines the point values passed to the highlighter tooltip, either X, Y, XY or YX. Default is XY.

      Specified by:
        `setHighlighterAxes` in interface `IChart`

    - #### getHighlighterAxes

          public HighlighterTooltipAxes getHighlighterAxes()

      Return the value of the `highlighterAxes` property.

      Contents: Defines the point values passed to the highlighter tooltip, either X, Y, XY or YX. Default is XY.

      Specified by:
        `getHighlighterAxes` in interface `IChart`

    - #### setHighlighterBringSeriesToFront

          public void setHighlighterBringSeriesToFront(java.lang.Boolean highlighterBringSeriesToFront)

      Set the value of the `highlighterBringSeriesToFront` property.

      Contents: Enables the highlighted series being temporarily reordered to be entirely visible.

      Specified by:
        `setHighlighterBringSeriesToFront` in interface `IChart`

    - #### isHighlighterBringSeriesToFront

          public java.lang.Boolean isHighlighterBringSeriesToFront()

      Return the value of the `highlighterBringSeriesToFront` property.

      Contents: Enables the highlighted series being temporarily reordered to be entirely visible.

      Specified by:
        `isHighlighterBringSeriesToFront` in interface `IChart`

    - #### setHighlighterFormatString

          public void setHighlighterFormatString(java.lang.String highlighterFormatString)

      Set the value of the `highlighterFormatString` property.

      Contents: Defines a format string populated with the x, y values indicated by the highlighterAxes. Takes C-style string format options ex. 'Date: %s, number of cats: %d'

      Specified by:
        `setHighlighterFormatString` in interface `IChart`

    - #### getHighlighterFormatString

          public java.lang.String getHighlighterFormatString()

      Return the value of the `highlighterFormatString` property.

      Contents: Defines a format string populated with the x, y values indicated by the highlighterAxes. Takes C-style string format options ex. 'Date: %s, number of cats: %d'

      Specified by:
        `getHighlighterFormatString` in interface `IChart`

    - #### setHighlighterLocation

          public void setHighlighterLocation(Location highlighterLocation)

      Set the value of the `highlighterLocation` property.

      Contents: Defines the direction the highlighter tooltip is located relative to the cursor. Is 'NW' by default.

      Specified by:
        `setHighlighterLocation` in interface `IChart`

    - #### getHighlighterLocation

          public Location getHighlighterLocation()

      Return the value of the `highlighterLocation` property.

      Contents: Defines the direction the highlighter tooltip is located relative to the cursor. Is 'NW' by default.

      Specified by:
        `getHighlighterLocation` in interface `IChart`

    - #### setHighlighterShowMarker

          public void setHighlighterShowMarker(java.lang.Boolean highlighterShowMarker)

      Set the value of the `highlighterShowMarker` property.

      Contents: Enables drawing an 'active' styled point marker while the highlighter tooltip is shown. Is true by default.

      Specified by:
        `setHighlighterShowMarker` in interface `IChart`

    - #### isHighlighterShowMarker

          public java.lang.Boolean isHighlighterShowMarker()

      Return the value of the `highlighterShowMarker` property.

      Contents: Enables drawing an 'active' styled point marker while the highlighter tooltip is shown. Is true by default.

      Specified by:
        `isHighlighterShowMarker` in interface `IChart`

    - #### setHighlighterYValueCount

          public void setHighlighterYValueCount(java.lang.Integer highlighterYValueCount)

      Set the value of the `highlighterYValueCount` property.

      Contents: Defines how many Y values a highlighter should expect in the data points array. Typically this is 1. Certain plots, like OHLC, will have more y values in each data point array and will need this property adjusted to parse correctly.

      Specified by:
        `setHighlighterYValueCount` in interface `IChart`

    - #### getHighlighterYValueCount

          public java.lang.Integer getHighlighterYValueCount()

      Return the value of the `highlighterYValueCount` property.

      Contents: Defines how many Y values a highlighter should expect in the data points array. Typically this is 1. Certain plots, like OHLC, will have more y values in each data point array and will need this property adjusted to parse correctly.

      Specified by:
        `getHighlighterYValueCount` in interface `IChart`

    - #### setImageExportListener

          public void setImageExportListener(javax.el.MethodExpression imageExportListener)

      Set the value of the `imageExportListener` property.

      Contents: MethodExpression reference called whenever an exportToServer() call is made for this chart in the client side. The method receives a single argument, ChartImageExportEvent. The bytes representing the PNG image are obtained as a byte array by calling getBytes() on the ChartImageExportEvent object.

      Specified by:
        `setImageExportListener` in interface `IChart`

    - #### getImageExportListener

          public javax.el.MethodExpression getImageExportListener()

      Return the value of the `imageExportListener` property.

      Contents: MethodExpression reference called whenever an exportToServer() call is made for this chart in the client side. The method receives a single argument, ChartImageExportEvent. The bytes representing the PNG image are obtained as a byte array by calling getBytes() on the ChartImageExportEvent object.

      Specified by:
        `getImageExportListener` in interface `IChart`

    - #### setLegend

          public void setLegend(java.lang.Boolean legend)

      Set the value of the `legend` property.

      Contents: Enabling displays the legend.

      Specified by:
        `setLegend` in interface `IChart`

    - #### isLegend

          public java.lang.Boolean isLegend()

      Return the value of the `legend` property.

      Contents: Enabling displays the legend.

      Specified by:
        `isLegend` in interface `IChart`

    - #### setLegendLocation

          public void setLegendLocation(Location legendLocation)

      Set the value of the `legendLocation` property.

      Contents: Defines the location of legend relative to the bounds of the chart. All of the cardinal directions are available in the following format: N, NE, E, SE, S, etc.

      Specified by:
        `setLegendLocation` in interface `IChart`

    - #### getLegendLocation

          public Location getLegendLocation()

      Return the value of the `legendLocation` property.

      Contents: Defines the location of legend relative to the bounds of the chart. All of the cardinal directions are available in the following format: N, NE, E, SE, S, etc.

      Specified by:
        `getLegendLocation` in interface `IChart`

    - #### setLegendPlacement

          public void setLegendPlacement(LegendPlacement legendPlacement)

      Set the value of the `legendPlacement` property.

      Contents: Defines the placement of the legend relative to the content of the chart. The available configurations are: INSIDE_GRID, OUTSIDE_GRID and OUTSIDE

      Specified by:
        `setLegendPlacement` in interface `IChart`

    - #### getLegendPlacement

          public LegendPlacement getLegendPlacement()

      Return the value of the `legendPlacement` property.

      Contents: Defines the placement of the legend relative to the content of the chart. The available configurations are: INSIDE_GRID, OUTSIDE_GRID and OUTSIDE

      Specified by:
        `getLegendPlacement` in interface `IChart`

    - #### setPointChangeListener

          public void setPointChangeListener(javax.el.MethodExpression pointChangeListener)

      Set the value of the `pointChangeListener` property.

      Contents: MethodExpression reference called whenever a series element is dragged to a new x or y value. The method receives a single argument, PointValueChangeEvent.

      Specified by:
        `setPointChangeListener` in interface `IChart`

    - #### getPointChangeListener

          public javax.el.MethodExpression getPointChangeListener()

      Return the value of the `pointChangeListener` property.

      Contents: MethodExpression reference called whenever a series element is dragged to a new x or y value. The method receives a single argument, PointValueChangeEvent.

      Specified by:
        `getPointChangeListener` in interface `IChart`

    - #### setSelectListener

          public void setSelectListener(javax.el.MethodExpression selectListener)

      Set the value of the `selectListener` property.

      Contents: MethodExpression reference called whenever a series element is selected. The method receives a single argument, SeriesSelectionEvent.

      Specified by:
        `setSelectListener` in interface `IChart`

    - #### getSelectListener

          public javax.el.MethodExpression getSelectListener()

      Return the value of the `selectListener` property.

      Contents: MethodExpression reference called whenever a series element is selected. The method receives a single argument, SeriesSelectionEvent.

      Specified by:
        `getSelectListener` in interface `IChart`

    - #### setShowTooltip

          public void setShowTooltip(java.lang.Boolean showTooltip)

      Set the value of the `showTooltip` property.

      Contents: Enable display of a legend regarding the coordinates of the cursor. The 'cursor' property must be enabled to use this property.

      Specified by:
        `setShowTooltip` in interface `IChart`

    - #### isShowTooltip

          public java.lang.Boolean isShowTooltip()

      Return the value of the `showTooltip` property.

      Contents: Enable display of a legend regarding the coordinates of the cursor. The 'cursor' property must be enabled to use this property.

      Specified by:
        `isShowTooltip` in interface `IChart`

    - #### setStackSeries

          public void setStackSeries(java.lang.Boolean stackSeries)

      Set the value of the `stackSeries` property.

      Contents: Enables a stack or "mountain" plot. Not all types of series may support this mode.

      Specified by:
        `setStackSeries` in interface `IChart`

    - #### isStackSeries

          public java.lang.Boolean isStackSeries()

      Return the value of the `stackSeries` property.

      Contents: Enables a stack or "mountain" plot. Not all types of series may support this mode. Default = 'false'.

      Specified by:
        `isStackSeries` in interface `IChart`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Define CSS inline style for the chart container.

      Specified by:
        `setStyle` in interface `IChart`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Define CSS inline style for the chart container.

      Specified by:
        `getStyle` in interface `IChart`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Contents: Define a title of the entire chart.

      Specified by:
        `setTitle` in interface `IChart`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Contents: Define a title of the entire chart.

      Specified by:
        `getTitle` in interface `IChart`

    - #### setValue

          public void setValue(java.lang.Object value)

      Set the value of the `value` property.

      Contents: Define an individual instance or List of ChartSeries objects to draw on this plot.

      Specified by:
        `setValue` in interface `IChart`

    - #### getValue

          public java.lang.Object getValue()

      Return the value of the `value` property.

      Contents: Define an individual instance or List of ChartSeries objects to draw on this plot.

      Specified by:
        `getValue` in interface `IChart`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: The JavaScript global component instance name. Must be unique among components on a page.

      Specified by:
        `setWidgetVar` in interface `IChart`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: The JavaScript global component instance name. Must be unique among components on a page.

      Specified by:
        `getWidgetVar` in interface `IChart`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

      Set the value of the `width` property.

      Contents: Define the width of the entire chart region in pixels.

      Specified by:
        `setWidth` in interface `IChart`

    - #### getWidth

          public java.lang.Integer getWidth()

      Return the value of the `width` property.

      Contents: Define the width of the entire chart region in pixels.

      Specified by:
        `getWidth` in interface `IChart`

    - #### setX2Axis

          public void setX2Axis(Axis x2Axis)

      Set the value of the `x2Axis` property.

      Contents: Defines the configuration of the x1 axis. Attempts are made to interpret a configuration if undefined.

      Specified by:
        `setX2Axis` in interface `IChart`

    - #### getX2Axis

          public Axis getX2Axis()

      Return the value of the `x2Axis` property.

      Contents: Defines the configuration of the x1 axis. Attempts are made to interpret a configuration if undefined.

      Specified by:
        `getX2Axis` in interface `IChart`

    - #### setXAxis

          public void setXAxis(Axis xAxis)

      Set the value of the `xAxis` property.

      Contents: Defines the configuration of the x axis. Attempts are made to interpret a configuration if undefined.

      Specified by:
        `setXAxis` in interface `IChart`

    - #### getXAxis

          public Axis getXAxis()

      Return the value of the `xAxis` property.

      Contents: Defines the configuration of the x axis. Attempts are made to interpret a configuration if undefined.

      Specified by:
        `getXAxis` in interface `IChart`

    - #### setYAxes

          public void setYAxes(Axis[] yAxes)

      Set the value of the `yAxes` property.

      Contents: Defines the configuration of the y axes (up to 9). Attempts are made to interpret a configuration if undefined.

      Specified by:
        `setYAxes` in interface `IChart`

    - #### getYAxes

          public Axis[] getYAxes()

      Return the value of the `yAxes` property.

      Contents: Defines the configuration of the y axes (up to 9). Attempts are made to interpret a configuration if undefined.

      Specified by:
        `getYAxes` in interface `IChart`

    - #### setZoom

          public void setZoom(java.lang.Boolean zoom)

      Set the value of the `zoom` property.

      Contents: Enable click+drag selection of a range on the chart using the cursor. The 'cursor' property must be enabled to use this property.

      Specified by:
        `setZoom` in interface `IChart`

    - #### isZoom

          public java.lang.Boolean isZoom()

      Return the value of the `zoom` property.

      Contents: Enable click+drag selection of a range on the chart using the cursor. The 'cursor' property must be enabled to use this property.

      Specified by:
        `isZoom` in interface `IChart`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.